# Google Cloud Billing API . billingAccounts

## Instance Methods

Returns the projects Resource.

Gets information about a billing account. The current authenticated user must be an [owner of the billing account](https://support.google.com/cloud/answer/4430947).

Lists the billing accounts that the current authenticated user [owns](https://support.google.com/cloud/answer/4430947).

Retrieves the next page of results.

### Method Details

`get(name, x__xgafv=None)`

    Gets information about a billing account. The current authenticated user must be an [owner of the billing account](https://support.google.com/cloud/answer/4430947).

    Args:
      name: string, The resource name of the billing account to retrieve. For example, `billingAccounts/012345-567890-ABCDEF`. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A billing account in [Google Developers Console](https://console.developers.google.com/). You can assign a billing account to one or more projects.
        "displayName": "A String", # The display name given to the billing account, such as `My Billing Account`. This name is displayed in the Google Developers Console.
        "open": True or False, # True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it will be unable to use paid services.
        "name": "A String", # The resource name of the billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF` would be the resource name for billing account `012345-567890-ABCDEF`.
      }

`list(pageSize=None, pageToken=None, x__xgafv=None)`

    Lists the billing accounts that the current authenticated user [owns](https://support.google.com/cloud/answer/4430947).

    Args:
      pageSize: integer, Requested page size. The maximum page size is 100; this is also the default.
      pageToken: string, A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListBillingAccounts` call. If unspecified, the first page of results is returned.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response message for `ListBillingAccounts`.
        "nextPageToken": "A String", # A token to retrieve the next page of results. To retrieve the next page, call `ListBillingAccounts` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.
        "billingAccounts": [ # A list of billing accounts.
          { # A billing account in [Google Developers Console](https://console.developers.google.com/). You can assign a billing account to one or more projects.
            "displayName": "A String", # The display name given to the billing account, such as `My Billing Account`. This name is displayed in the Google Developers Console.
            "open": True or False, # True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it will be unable to use paid services.
            "name": "A String", # The resource name of the billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF` would be the resource name for billing account `012345-567890-ABCDEF`.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.